import { Component, OnInit } from '@angular/core';
import { MENUNAME, CHILDMENUNAME } from '../../services/local-storage.namespace';
import {LocalStorageService} from '../../services/local-storage.service';
@ Component({
  selector: 'app-breadcrumb',
  templateUrl: './breadcrumb.component.html',
  styleUrls: ['./breadcrumb.component.less']
})
export class BreadcrumbComponent implements OnInit {
  childMenuName; // 子路由名称
  menuName; // 父路由名称
  constructor(
    private storage: LocalStorageService,
  ) { }

  ngOnInit() {
    this.childMenuName = this.storage.get(CHILDMENUNAME);
    this.menuName = this.storage.get(MENUNAME);
  }

}
